<?php
/*
	Template Name: Front Prototype Privacy
*/
?>
<article class="article-content padding-top100">
	
	<div class="flex-content">
		<div class="row">
			<div class="large-12 columns">
				<h1 class="section-head page-head">RULES AND PROCEDURES</h1>
				<p id="breadcrumbs">You are here: <span xmlns:v="http://rdf.data-vocabulary.org/#"><span typeof="v:Breadcrumb"><a href="" rel="v:url" property="v:title">Home</a> » <span class="breadcrumb_last">Terms and conditions of use</span></span></span></p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>FREQUENCY AND CONDUCTS OF MEETINGS</h2>
				<p>
					<strong>1. Regular Sessions</strong>
				</p>
				<p>
					It is anticipated that there will be at least one face-to-face meeting of the CLME+ SAP ICM annually for the duration of the UNDP/GEF CLME+ Project.
				</p>
				<p>
					<strong>2. Inter-Sessional Meetings</strong>
				</p>
				<p>
					Inter-Sessional Meetings may be convened by the CLME+ SAP ICM Secretariat upon receiving a request for a meeting by one or several of the SAP ICM Members. These meetings may take the form of face-to-face meetings, teleconferences or electronic communications.
				</p>
				<p>
					<strong>3. Meeting arrangements</strong>
				</p>
				<ol>
					<li>
						Meetings will be scheduled and arranged by the CLME+ SAP ICM Secretariat in consultation with the SAP ICM members. The Chair will prescribe over meetings of the CLME+ SAP ICM. The Secretariat will be responsible for reporting.
					</li>
					<li>
						A quorum is required for a meeting to take place. A simple majority of the members of the SAP ICM shall constitute a quorum.
					</li>
					<li>
						Face-to-face meetings will be subject to the availability of funds.
					</li>
				</ol>

				<p>
					<strong>4. Participation of Observers</strong>
				</p>
				<p>
					The Secretariat may, on behalf of the CLME+ SAP ICM, invite observers to participate in its meetings. The observers may participate in the general discussions.
				</p>

				<p>
					<strong>5. Working languages</strong>
				</p>
				<p>
					Meetings will normally be conducted in English, but other languages can be considered as necessary.
				</p>

				<p>
					<strong>6. Costs of Participation</strong>
				</p>
				<p>
					GEF funding is available throughout the duration of the UNDP/GEF CLME+ Project to financially support one representative from non-UN CLME+ SAP ICM Members participation in the meetings of the CLME+ SAP ICM. UNDP/GEF financial rules and regulations apply. After the completion of the CLME+ Project, the responsibility for cost of participation will be the responsibility of each Member.
				</p>

				<p>
					<strong>7. Procedure for decision-making</strong>
				</p>
				<ol>
					<li>
						Decisions of the CLME+ SAP ICM shall be made by consensus.
					</li>
					<li>
						The Chair of the CLME+ SAP ICM may defer the taking of a decision in order to facilitate further negotiations whenever it appears that all efforts at achieving consensus have not been exhausted.
					</li>
					<li>
						In the absence of consensus, unless otherwise provided in these terms of reference, or unless the CLME+ SAP ICM shall decide that a two-thirds majority of the members present and voting is required on a particular matter, decisions shall be made by a simple majority of the members present and voting.
					</li>
					<li>
						Every Member of the CLME+ SAP ICM shall have one vote.
					</li>
					<li>
						Observers shall not have the right to vote at meetings of the CLME+ SAP ICM.
					</li>
				</ol>

			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>AGENDA</h2>
				<p>
					<strong>8. Drawing up and Distribution of the provisional CLME+ SAP ICM Meeting agendas</strong>
				</p>
				<p>
					The Secretariat shall submit a provisional agenda to the CLME+ SAP ICM members for their review and comments. A revised provisional agenda will be prepared by the Secretariat based on the recommendations and proposals of the CLME+ SAP ICM. The revised provisional agenda shall include all items proposed by members of the CLME+ SAP ICM Members and the Secretariat. A provisional annotated agenda will be prepared from the provisional agenda.
				</p>
				<p>
					The Secretariat shall share the provisional annotated agenda for meetings of the CLME+ SAP ICM with members in advance of the meetings.
				</p>

				<p>
					<strong>9. Adoption of a CLME+ SAP Meeting Agenda</strong>
				</p>
				<p>
					At the commencement of each CLME+ SAP ICM meeting, the CLME+ SAP ICM shall review, revise (as applicable) and adopt the final agenda for the meeting on the basis of the provisional annotated agenda.
				</p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>CHAIR</h2>
				<p>
					<strong>10. Election and Duties of the CLME+ SAP ICM Chair</strong>
				</p>
				<p>
					The Chair shall be elected by a simple majority of the Parties and serve for a period of two years. The Chair will have responsibility for presiding over the meetings of the CLME+ SAP ICM.
				</p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>THE SECRETARIAT</h2>
				<p>
					<strong>11. Appointment of the CLME+ SAP ICM Secretariat</strong>
				</p>
				<p>
					The CLME+ PCU shall act as the CLME+ SAP ICM Secretariat throughout the lifespan of either the CLME+ Project or the CLME+ SAP ICM, whichever ends first (hereafter the Secretariat).
				</p>
				<p>
					If the CLME+ PCU is no longer be able to perform the role of the Secretariat, the CLME+ SAP ICM will, through consensus, assign the role of the Secretariat to one of its members on a rotational basis, and will continue to do so until a permanent mechanism is in place or the Parties agree otherwise.
				</p>

				<p>
					<strong>12. Role of the CLME+ SAP ICM Secretariat</strong>
				</p>
				<p>
					The Secretariat shall, in accordance with these rules and procedures:
				</p>
				<ol>
					<li>
						prepare and/or receive, and circulate the documents for the CLME+ SAP ICM meetings;
					</li>
					<li>
						convene meetings of the CLME+ SAP ICM;
					</li>
					<li>
						be responsible for the necessary meeting arrangements;
					</li>
					<li>
						act as Secretary to all meetings of the CLME+ SAP ICM;
					</li>
					<li>
						publish and circulate the reports and decisions of the CLME+ SAP ICM meetings;
					</li>
					</li>
				</ol>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>CLME+ PARTNERSHIP</h2>
				<p>
					<strong>13. Role of the CLME+ SAP ICM members in the CLME+ Partnership</strong>
				</p>
				<p>
					The CLME+ countries that have endorsed the CLME+ SAP, and the CLME+ SAP ICM members shall constitute the Core Membership of the “Global Partnership for the Sustainable Management, Use and Protection of the Caribbean and North Brazil Shelf Large Marine Ecosystems”, also referred to in short as the “CLME+ Partnership”.
				</p>
				<p>
					The CLME+ SAP ICM members shall:
				</p>
				<ul>
					<li>
						endorse the Terms of Reference (ToRs) of the CLME+ Partnership, and any periodic revisions thereof;
					</li>
					<li>
						act as the Coordinating Body of the CLME+ Partnership
					</li>
				</ul>
				<p>
					The CLME+ SAP ICM shall further exercise any functions and responsibilities assigned to the CLME+ SAP ICM under the CLME+ Partnership ToRs.
				</p>

				<p>
					<strong>14. Role of the CLME+ SAP ICM Secretariat in the CLME+ Partnership</strong>
				</p>
				<p>
					The CLME+ SAP ICM Secretariat shall prepare the draft ToRs for the CLME+ Partnership, and, upon request by the CLME+ SAP ICM, any revisions thereof, for review and endorsement by the CLME+ SAP ICM.
				</p>
				<p>
					The CLME+ SAP ICM Secretariat shall act as the Secretariat of the CLME+ Partnership.
				</p>
				<p>
					The CLME+ SAP ICM Secretariat shall further exercise any functions and responsibilities it has been assigned under the CLME+ Partnership ToRs.
				</p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>WORK PROGRAMME</h2>
				<p>
					<strong>15. Definition of work programmes</strong>
				</p>
				<p>
					The Secretariat with guidance from CLME+ SAP ICM members shall be responsible for:
				</p>
				<ol>
					<li>
						Development, revision and adoption of work programmes supportive of the goals and objectives of the CLME+ SAP ICM
					</li>
					<li>
						Coordinating the implementation of the work programmes including to periodically review, monitor and evaluate progress under the adopted work programmes
					</li>
				</ol>

				<p>
					<strong>16. Review, evaluation and revision of work programmes</strong>
				</p>
				<p>
					The CLME+ SAP ICM will review, amend, revise and update the work programmes as necessary.
				</p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>REVISION OF THE RULES AND PROCEDURES</h2>
				<p>
					These Rules and Procedures may be revised by the CLME+ SAP ICM when such revision is being requested by any of CLME+ SAP ICM Members. Adoption of a revised version of the CLME+ SAP ICM Rules and Procedures shall require consensus among the CLME+ SAP ICM members.
				</p>
			</div>
		</div>
	</div>

</article>
