<?php
/*
	Template Name: Front Prototype Partnership & Alliance ES
*/
?>
<?php the_post(); ?>
<nav class="onepage-nav show-for-large">
	<div class="row">
		<div class="large-12 columns">
			<ul>
				<li>
					<a class="notgo" href="<?php bloginfo( 'url' ); ?>">Inicio</a>
				</li>
				<li class="menu-item-has-children">
					Descripción

					<ul>
						<li>
							<a href="#overview-urgent">Una necesidad urgente, un compromiso a nivel regional</a>
						</li>
						<li>
							<a href="#overview-why">El porqué</a>
						</li>
						<li>
							<a href="#overview-what">El qué</a>
						</li>
						<li>
							<a href="#overview-structure">Estructurq</a>
						</li>
					</ul>
				</li>
				<li class="menu-item-has-children">
					El Mecanismo de Cooperación Provisional del PAE CLME+

					<ul>
						<li>
							<a href="#clme-status">Estatus</a>
						</li>
						<li>
							<a href="#clme-objectives">Objetivos</a>
						</li>
						<li>
							<a href="#clme-functions">Funciones</a>
						</li>
						<li>
							<a href="#clme-icm">El Mecanismo de Cooperación Provisional y los ODS</a>
						</li>
						<li>
							<a href="#clme-membership">Membresia</a>
						</li>
						<li>
							<a href="http://clmeplus.org/app/uploads/2017/06/ICM-Terms-of-Reference.pdf" target="_blank">Términos de Referencia</a>
						</li>
						<li>
							<a href="http://clmeplus.org/app/uploads/2017/06/ICM-MOU.pdf" target="_blank">MdE si quieres utilizar la version abreviada</a>
						</li>
					</ul>
				</li>
				<li class="menu-item-has-children">
					La Asociación

					<ul>
						<li>
							<a href="#partnership-objectives">Objetivos</a>
						</li>
						<li>
							<a href="#partnership-membership">Membresia Nucleo</a>
						</li>
						<li>
							<a href="#partnership-substribing">Miembros Suscriptores</a>
						</li>
						<li>
							<a href="#partnership-secretariat">La Secretaría</a>
						</li>
					</ul>
				</li>
				<li class="menu-item-has-children">
					La Alianza

					<ul>
						<li>
							<a href="#alliance">Una membresia ampliada</a>
						</li>
					</ul>
				</li>
			</ul>
		</div>
	</div>
</nav>
<article class="article-content padding-bottom50">
	<div class="single-top photobg shadow margin-bottom50" style="background-image: url(<?php bloginfo( 'template_url' );?>/dist/images/delete/photo6.jpg);">
		<div class="row show-for-large">
			<div class="large-12 columns text-center">
				<div class="single-title">
					<h1 class="section-head single-head"><?php the_title(); ?></h1>
					<?php if ( function_exists('yoast_breadcrumb') ) {
					    yoast_breadcrumb('<p id="breadcrumbs">','</p>');
					} ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row hide-for-large">
		<div class="medium-12 small-12 columns text-center">
			<h1 class="section-head single-head"><?php the_title(); ?></h1>
			<?php if ( function_exists('yoast_breadcrumb') ) {
				yoast_breadcrumb('<p id="breadcrumbs">','</p>');
			} ?>
		</div>
	</div>

	<section id="onepage1">
		<div class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 columns">
					<h2>Interim Coordination Mechanism (ICM)</h2>
					<p id="clme-status">
						<strong>STATUS</strong>
					</p>
					<p>
						The “Interim Coordination Mechanism for the Sustainable Management, Use and Protection of shared Living Marine Resources in the Caribbean and North Brazil Shelf Large Marine Ecosystems”, in short the “CLME+ SAP ICM” or “ICM”, was formally established on 9 June 2017.
					</p>
					<p>
						The ICM responds to a call for action under the CLME+ Strategic Action Programme (SAP Strategy 3), and Decision 8.a. of the 1st Meeting of the UNDP/GEF CLME+ Project Steering Committee, held in Cartagena, Colombia, in January 2016.
					</p>
					<p>
						It is at the heart of the wide-ranging Alliance and Partnership for the Caribbean and North Brazil Shelf Large Marine Ecosystems (“CLME+ Alliance” and “CLME+ Partnership”).
					</p>
					<p id="clme-objectives">
						<strong>OBJECTIVES</strong>
					</p>

					<p>
						The ICM enhances regional coordination and collaboration, and supports oversight and integration of actions for sustainable fisheries and for the protection and sustainable use of the marine environment.
					</p>
					<p>
						It further promotes the up-scaling of actions by all sectors of society, to achieve the long-term vision of the CLME+ SAP and the development of sustainable, ocean based economies.
					</p>
					<p>
						SAP Vision: “Healthy Marine Ecosystems that Provide Benefits and Livelihoods for the Peoples of the region”
					</p>
					<p id="clme-functions">
						<strong>FUNCTIONS</strong>
					</p>
					<p>
						The ICM:
					</p>
					<ol>
						<li>
							Contributes to the coordinated implementation of the CLME+ SAP
						</li>
						<li>
							ii. Monitors and evaluates, and reports on SAP implementation,  with a focus on (a) habitat degradation; (b) pollution; and (c) unsustainable fisheries, while giving due attention to climate change
						</li>
					</ol>

					<p id="clme-icm">
						<strong>The ICM thereby</strong>
					</p>
					<ul>
						<li>
							Helps consolidating the framework for Regional Ocean Governance in the CLME+ region
						</li>
						<li>
							Leads the reporting on the “State of the Marine Ecosystems and associated Economies” (SOMEE) for the CLME+ region
						</li>
						<li>
							Catalyzes the progressive expansion of the Global CLME+ Alliance and Partnership,
						</li>
						<li>
							Promotes region-wide expansion and replication of positive action, by all sectors of society
						</li>
					</ul>

					<p>
						In addition to CLME+ SAP priorities, new and emerging issues affecting the marine environment may be put on the agenda of the ICM.
					</p>

					<p>
						<strong>The ICM and the UN Sustainable Development Goals</strong>
					</p>
					<p>
						The ICM will support the countries of the CLME+ region in their efforts to achieve the UN Sustainable Development Goals (SDGs), in particular SDG 14 (“to conserve and sustainably use the oceans, seas and marine resources”), and other relevant international commitments;
					</p>
					<p id="clme-membership">
						<strong>MEMBERSHIP</strong>
					</p>
					<p>
						The CLME+ SAP ICM is composted of the following 8 Inter-Governmental Organizations (IGO’s), each of which has a formal mandate relating to the marine environment of the CLME+ region:
					</p>
				</div>
			</div>
		</div>

		<div class="padding-bottom50 padding-top50">
			<div class="row membership-list" data-equalizer="membership" data-equalize-on-stack="true" data-equalize-on="medium">
				<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
					<p>
						<a href="http://www.cep.unep.org/content/about-cep/unep-car-rcu/unep-caribbean-regional-coordinating-unit" target="_blank"><img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/UN_Environment_Programme_CEP_EN.png" alt="" /></a>
					</p>
					<p class="margin-0">
						<strong>UN Environment CAR/RCU</strong>
					</p>
					<p>
						<small>(UN Environment, Caribbean Regional Coordinating Unit)</small>
					</p>
				</div>

				<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
					<p>
						<a href="http://www.wecafc.org" target="_blank"><img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/FAO-copaco.png" alt="" /></a>
					</p>
					<p class="margin-0">
						<strong>FAO-WECAFC</strong>
					</p>
					<p>
						<small>(The Food and Agriculture Organization of the United Nations on behalf of the Western Central Atlantic Fishery Commission)</small>
					</p>
				</div>

				<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
					<p>
						<a href="http://iocaribe.ioc-unesco.org/" target="_blank"><img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/IOC-UNESCO_EN.png" alt="" /></a>
					</p>
					<p class="margin-0">
						<strong>IOCARIBE/UNESCO-IOC</strong>
					</p>
					<p>
						<small>(The Intergovernmental Oceanographic Commission of the United Nations Educational, Scientific, and Cultural Organization)</small>
					</p>
				</div>

				<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
					<p>
						<a href="http://www.oecs.org/" target="_blank"><img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/oecs.jpg" alt="" /></a>
					</p>
					<p class="margin-0">
						<strong>OECS</strong>
					</p>
					<p>
						<small>(The Organisation of Eastern Caribbean States)</small>
					</p>
				</div>

				<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
					<p>
						<a href="http://www.crfm.int/" target="_blank"><img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/CRFM.png" alt="" /></a>
					</p>
					<p class="margin-0">
						<strong>CRFM</strong>
					</p>
					<p>
						<small>(The Caribbean Regional Fisheries Mechanism)</small>
					</p>
				</div>

				<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
					<p>
						<a href="http://www.sica.int/ospesca/" target="_blank"><img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/OSPESCA.jpg" alt="" /></a>
					</p>
					<p class="margin-0">
						<strong>OSPESCA</strong>
					</p>
					<p>
						<small>(The Central American Fisheries and Aquaculture Organisation)</small>
					</p>
				</div>

				<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
					<p>
						<a href="https://www.ccad.edu/" target="_blank"><img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/CCAD.png" alt="" /></a>
					</p>
					<p class="margin-0">
						<strong>CCAD</strong>
					</p>
					<p>
						<small>(The Central American Commission for Environment and Development)</small>
					</p>
				</div>

				<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
					<p>
						<a href="http://www.caricom.org/" target="_blank"><img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/CARICOM.jpg" alt="" /></a>
					</p>
					<p class="margin-0">
						<strong>CARICOM</strong>
					</p>
					<p>
						<small>(The Caribbean Community, represented by its Secretariat)</small>
					</p>
				</div>
			</div>
		</div>
	</section>

	<section id="onepage2" class="lightbg2">
		<div class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 medium-12 small-12 columns">
					<h2>The Partnership?</h2>
					<p>
						<strong>What is the Partnership?</strong>
					</p>
					<p>
						The <strong>“Global Partnership for the Sustainable Management, Use and Protection of the Caribbean and North Brazil Shelf Large Marine Ecosystems” (CLME+ Partnership)</strong> is an interactive, responsive, dynamic and evolving, voluntary non-legally binding long-term partnership arrangement for the stakeholders of the marine environment of the CLME+ region.
					</p>

					<p>
						The CLME+ Partnership brings together stakeholders from:
					</p>
					<p>
						Governments, Governmental Institutions, Inter-Governmental Organizations (IGO’s), Civil Society, Private Sector, Academia, Communities and Influential Individuals, Financial Institutions and the Donor and Development Aid Community, at various levels, to work as complements of each other, act collaboratively and in a coordinated manner, and bring into full play the formal mandate or role, and comparative advantages of each stakeholder, to jointly deliver on the Partnership’s Mission and Objectives.
					</p>
				</div>
			</div>
		</div>

		<div class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 medium-12 small-12 columns">
					<h2>Mission</h2>
					<p>
						The Partnership’s mission is to improve interactive and cooperative ocean governance, for example through the integrated management of the shared living marine resources of the CLME+ region.
					</p>
				</div>
			</div>
		</div>

		<div id="partnership-objectives" class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 medium-12 small-12 columns">
					<h2>Specific Objectives</h2>
					<p>
						Partnership Members will coordinate, collaborate, fund, create synergies and linkages, avoid overlap and strive for complementarity, cost-effectiveness and cost-efficiency, and acquire enhanced oversight of the many efforts and initiatives on the marine environment in the CLME+ region, in order to jointly improve the governance of the CLME+ region as a socio-ecological system, and to promote and contribute to the sustainable management, use and protection of associated living marine resources.
					</p>

					<p>
						<strong>The Partnership will:</strong>
					</p>
					<p>
						support the work of inter-governmental organizations with a formal mandate for the protection and sustainable use of the marine environment of the CLME+ region in the implementation of these formal mandates and the successful execution of associated work programmes, and promote and secure the engagement of, and up-scaling of actions by all sectors of society;
					</p>
				</div>
			</div>
		</div>

		<div id="partnership-membership" class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 medium-12 small-12 columns">
					<h2>Membership</h2>
					<p>
						The CLME+ Partnership Core Membership consists of (a) the countries that have formally endorsed the CLME+ SAP, and (b) the Parties to the Memorandum of Understanding (MoU) that establishes and governs the “Interim Coordination Mechanism for the Sustainable Management, Use and Protection of shared Living Marine Resources in the Caribbean and North Brazil Shelf Large Marine Ecosystems”, (“CLME+ SAP ICM” or “ICM”).
					</p>
				</div>
			</div>
		</div>

		<div class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 columns text-center wow fadeInUp">
					<p>
						<img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/partnership2.png" alt="">
					</p>
				</div>
			</div>
		</div>

		<div id="partnership-subscribing" class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 columns">
					<p>
						The CLME+ SAP ICM will invite key stakeholders to become a Subscribing Member of the CLME+ Partnership.
					</p>
					<p>
						Membership of the CLME+ Partnership will comprise interested and active stakeholders from within the CLME+ region and from around the Globe who:
					</p>
					<ul>
						<li>
							subscribe to, and commit to actively, consistently and substantially contribute to the achievement of the long-term Vision articulated under Item 5, in line with the Goal, Mission, Specific Objectives and Scope of the Partnership articulated under Items 6, 7, 8, 9 and 10;
						</li>
						<li>
							acknowledge in this context the need to embrace the concepts of, and support through their actions the adoption and implementation across the CLME+ region of:<br>
							<strong>Ecosystem-Based Management (EBM) and/or an Ecosystem Approach to Fisheries (EAF); </strong>
						</li>
						<li>
							acknowledge the importance of, and commit to adhere to and apply and/or promote, to the extent possible, the key guiding principles for good living marine resources management formulated under the 2015-2025 CLME+ SAP;
						</li>
						<li>
							agree and commit to support and contribute, to the extent possible, to the implementation of CLME+ SAP Strategies and Priority Actions, and/or those of associated Programmes, Projects and Initiatives, based on and in alignment with their formal mandates, skills & experience and /or comparative advantages;
							<br>
							and
						</li>
						<li>
							agree and commit to communicate on and coordinate such action with relevant Members of the CLME+ Partnership, in particular relevant parties under the Core Membership.
						</li>
					</ul>

					<p>
						The CLME+ Partnership Membership includes two types of Members:
					</p>
					<p>
						<strong>Core Members:</strong>
					</p>
					<ul>
						<li>
							the CLME+ countries and territories that have politically endorsed the 2015-2025 CLME+ SAP or any future revisions or updates thereof, as applicable1;
						</li>
						<li>
							the Parties to the MoU that establishes the CLME+ SAP ICM
						</li>
					</ul>
					<p>
						further also referred to as “Core Constituting Members”, or “Core Membership”
					</p>

					<p id="partnership-substribing">
						<strong>Subscribing Members:</strong>
					</p>
					<ul>
						<li>
							other Members; these can include a wide range of stakeholders such as: Governments, (Inter-)Governmental Organizations and Entities, Universities, Research Centers, Educational Organizations, Civil institutions, Non-Governmental Organizations (NGO’s), UN agencies, Private Companies and Entities, Associations of Marine Resources Users, Donors, Development Partners and Development Banks, the Media, influential individuals, etc.
						</li>
					</ul>

					<p>
						<strong>Membership cost:</strong>
					</p>
					<p>
						No [administrative] cost is associated with the Membership
					</p>

					<p>
						<strong>Subscription & Acceptance process:</strong>
					</p>
					<p id="partnership-secretariat">
						Save in the case of the Core Members, who are members by virtue of either their endorsement of the CLME+ SAP or their participation in the CLME+ SAP ICM, Membership of the CLME+ Partnership is formalized through the signing and formal submission by the invited prospective member to the CLME+ Partnership Secretariat, and the subsequent signing for acceptance by this Secretariat, of a copy of Annex 1: <strong>“CLME+ PARTNERSHIP Member Subscription & Acceptance Form”</strong>.
					</p>
				</div>
			</div>
		</div>
	</section>

	<section id="overview-structure">
		<div class="flex-content padding-bottom50 padding-top50">
			<div class="row expanded collapse">
				<div class="large-12 text-center columns wow fadeInUp">
					<p>
						<img class="noshadow" src="<?php bloginfo( 'template_url' ); ?>/app/uploads/2017/06/clme_alliance-1.png" alt="" />
					</p>
				</div>
			</div>
		</div>
	</section>

	<section id="onepage4" class="lightbg2">
		<div class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 columns">
					<h2>A Global Alliance and Partnership for the CLME+ region</h2>

					<p id="overview-urgent"><strong>An urgent need, a region-wide commitment</strong></p>

					<p>Despite its tremendous importance and value to human societies, the marine environment of the CLME+ region has become severely degraded. </p>

					<p>Many marine ecosystem goods and services are at the point of becoming irremediably compromised or even lost. </p>

					<p>Massive action to restore and safeguard the marine environment from further damage is therefore urgently required.</p>

					<p>With the support of the UNDP/GEF “CLME Project”, in 2015 countries from the region jointly prepared a 10-year Strategic Action Programme (SAP) <em>“for the sustainable management of shared living marine resources” (2015-2025).</em></p>

					<p>This “CLME+ SAP” aims at dealing with <strong>marine pollution, habitat degradation and unsustainable fisheries</strong>, while giving due attention to the effects of <strong>climate change</strong>. </p>

					<p>It builds on a long-term vision of <em>“<strong>healthy marine ecosystems that provide benefits and livelihoods for the well-being of the people of the region</strong>”</em>, and is aligned with the United Nations <strong>2030 Agenda for Sustainable Development</strong>, in particular <strong>Sustainable Development Goal (SDG) 14</strong>.</p>

					<p>To date, this action programme has already been politically endorsed by more than 30 Ministers, representing a total of 25 Countries and 6 Overseas Territories.</p>

					<p id="overview-why"><strong>Why the Alliance and Partnership?</strong></p>

					<p>Despite this wide political support, the challenge remains big. </p>

					<p>Given the size and variety of the problems faced by the marine environment and by the societies that are dependent on its resources, it is evident that the SAP cannot be implemented by a single organization, project or initiative…But the SAP provides us with a common roadmap to jointly work on our shared aspirations and goals!</p>

					<p>An up-scaling of efforts, and enhanced coordination and collaboration among key programmes, projects and initiatives, and among the different organizations and sectors of society working on or with a stake in the marine environment, will be essential for success.</p>

					<blockquote><p>interactive governance: “the whole of public, civil and private sector interactions taken to solve societal problems and to create societal opportunities, including the formulation and application of principles guiding those interactions and care for institutions that enable them</p></blockquote>

					<p id="overview-what"><strong>What?</strong></p>

					<p>With the support of the UNDP/GEF “CLME+ Project”, a wide-ranging, global and multi-stakeholder partnership for the marine environment of the CLME+ region is now being mobilized: <strong>the CLME+ Alliance and Partnership</strong> is expected to unite Governments, Academia, Civil Society, Private Sector, and the Donor and Development community, in a joint quest to safeguard essential ecosystem services and to sustainably exploit the richess and benefits provided by our shared marine environment.</p>
				</div>
			</div>
		</div>
	</section>

	<section id="alliance">
		<div class="flex-content padding-bottom50 padding-top50">
			<div class="row">
				<div class="large-12 columns">
					<h2>The CLME+ Alliance</h2>

					<p>Membership of the CLME+ Alliance is automatic for all CLME+ Partnership Members. </p>

					<p>The CLME+ Alliance will further be open for Membership by organizations and individuals who would not be able or required to coordinate their actions with the CLME+ SAP ICM, but who desire to subscribe to the long-term vision for the CLME+ region (“a healthy marine environment that provides benefits and livelihoods for the people of the region”), and who pledge to actively contribute to the sustainable management, use and protection of the Caribbean and North Brazil Shelf LME’s. </p>

					<p>The CLME+ Alliance will be opened for such additional memberships in the coming months.</p>
				</div>
			</div>
		</div>
	</section>

</article>
