<?php
/*
	Template Name: Front Prototype Membership
*/
?>
<article class="article-content padding-top100">
	
	<div class="flex-content">
		<div class="row">
			<div class="large-12 columns">
				<h1 class="section-head page-head">Membership</h1>
				<p id="breadcrumbs">You are here: <span xmlns:v="http://rdf.data-vocabulary.org/#"><span typeof="v:Breadcrumb"><a href="" rel="v:url" property="v:title">Home</a> » <span class="breadcrumb_last">Membership</span></span></span></p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-6 medium-12 small-12 columns">
				<p>
					Core members of the CLME+ Partnership will consist of:
				</p>
				<ul>
					<li>
						the CLME+ countries that have politically endorsed the SAP;
					</li>
					<li>
						8 IGO’s which have a formal mandate for the marine environment in the CLME+ region.
					</li>
				</ul>
				<p>
					It is around this core that the wide-ranging, multi-stakeholder “CLME+ Partnership” will then be progressively built.
				</p>
			</div>
			<div class="large-6 medium-12 small-12 columns">
				<p>
					In support of enhanced private sector and civil society engagement in the CLME+ Partnership, the Project called “Catalysing Implementation of the Strategic Action Programme for the Sustainable Management of Shared Living Marine Resources in the Caribbean and North Brazil Shelf Large Marine Ecosystems” (UNDP/GEF CLME+ Project; 2015-2020) is now supporting work on the development and delivery of “civil society” and “private sector” versions of the CLME+ SAP (“C-SAP” and “P-SAP”).
				</p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns wow fadeInUp">
				<h2>Intergovernmental Organisations - the Interim Coordination Mechanism</h2>

				<div class="padding-bottom50">
					<div class="row membership-list" data-equalizer="membership" data-equalize-on-stack="true" data-equalize-on="medium">
						<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
							<p>
								<a href="http://www.cep.unep.org/content/about-cep/unep-car-rcu/unep-caribbean-regional-coordinating-unit" target="_blank"><img class="noshadow" src="http://clmeplus.org/app/uploads/2017/06/UN_Environment_Programme_CEP_EN.png" alt="" /></a>
							</p>
							<p class="margin-0">
								<strong>UN Environment CAR/RCU</strong>
							</p>
							<p>
								<small>(UN Environment, Caribbean Regional Coordinating Unit)</small>
							</p>
						</div>

						<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
							<p>
								<a href="http://www.wecafc.org" target="_blank"><img class="noshadow" src="http://clmeplus.org/app/uploads/2017/06/FAO-copaco.png" alt="" /></a>
							</p>
							<p class="margin-0">
								<strong>FAO-WECAFC</strong>
							</p>
							<p>
								<small>(The Food and Agriculture Organization of the United Nations on behalf of the Western Central Atlantic Fishery Commission)</small>
							</p>
						</div>

						<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
							<p>
								<a href="http://iocaribe.ioc-unesco.org/" target="_blank"><img class="noshadow" src="http://clmeplus.org/app/uploads/2017/06/IOC-UNESCO_EN.png" alt="" /></a>
							</p>
							<p class="margin-0">
								<strong>IOCARIBE/UNESCO-IOC</strong>
							</p>
							<p>
								<small>(The Intergovernmental Oceanographic Commission of the United Nations Educational, Scientific, and Cultural Organization)</small>
							</p>
						</div>

						<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
							<p>
								<a href="http://www.oecs.org/" target="_blank"><img class="noshadow" src="http://clmeplus.org/app/uploads/2017/06/oecs.jpg" alt="" /></a>
							</p>
							<p class="margin-0">
								<strong>OECS</strong>
							</p>
							<p>
								<small>(The Organisation of Eastern Caribbean States)</small>
							</p>
						</div>

						<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
							<p>
								<a href="http://www.crfm.int/" target="_blank"><img class="noshadow" src="http://clmeplus.org/app/uploads/2017/06/CRFM.png" alt="" /></a>
							</p>
							<p class="margin-0">
								<strong>CRFM</strong>
							</p>
							<p>
								<small>(The Caribbean Regional Fisheries Mechanism)</small>
							</p>
						</div>

						<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
							<p>
								<a href="http://www.sica.int/ospesca/" target="_blank"><img class="noshadow" src="http://clmeplus.org/app/uploads/2017/06/OSPESCA.jpg" alt="" /></a>
							</p>
							<p class="margin-0">
								<strong>OSPESCA</strong>
							</p>
							<p>
								<small>(The Central American Fisheries and Aquaculture Organisation)</small>
							</p>
						</div>

						<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
							<p>
								<a href="https://www.ccad.edu/" target="_blank"><img class="noshadow" src="http://clmeplus.org/app/uploads/2017/06/CCAD.png" alt="" /></a>
							</p>
							<p class="margin-0">
								<strong>CCAD</strong>
							</p>
							<p>
								<small>(The Central American Commission for Environment and Development)</small>
							</p>
						</div>

						<div class="large-3 medium-6 text-center small-12 columns" data-equalizer-watch="membership">
							<p>
								<a href="http://www.caricom.org/" target="_blank"><img class="noshadow" src="http://clmeplus.org/app/uploads/2017/06/CARICOM.jpg" alt="" /></a>
							</p>
							<p class="margin-0">
								<strong>CARICOM</strong>
							</p>
							<p>
								<small>(The Caribbean Community, represented by its Secretariat)</small>
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<p>
					Secretariat: CLME+ Project Coordination Unit - <a href="mailto:info@clmeplus.org">info@clmeplus.org</a>
				</p>
			</div>
		</div>
	</div>


	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>Countries</h2>
				<p>
					from the CLME+ region that have endorsed the SAP* (status: May 2017) - SAP signed by at least one Minister
				</p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row small-grid small-up-2 medium-up-5 large-up-7">
		<?php
		$data = [
			'ag' => 'Antigua and Barbuda',
			'bs' => 'Bahamas',
			'bb' => 'Barbados',
			'bz' => 'Belize',
			'br' => 'Brazil',
			'co' => 'Colombia',
			'cr' => 'Costa Rica',
			'dm' => 'Dominica',
			'do' => 'Dominican Republic',
			'fr' => 'France',
			'gd' => 'Grenada',
			'gt' => 'Guatemala',
			'gy' => 'Guyana',
			'ht' => 'Haiti',
			'hn' => 'Honduras',
			'jm' => 'Jamaica',
			'mx' => 'Mexico',
			'ms' => 'Monsterrat',
			'ni' => 'Nicaragua',
			'pa' => 'Panama',
			'kn' => 'Saint Kitt & Nevis',
			'lc' => 'Saint Lucia',
			'vc' => 'Saint Vincent & the Grenadines',
			'sr' => 'Suriname',
			'us' => 'The United States',
			'tt' => 'Trinidad & Tabago',
		];

		foreach( $data as $key=>$val ):
		?>
		  <div class="column column-block text-center">
		    <p>
				<img src="<?php bloginfo( 'template_url' );?>/flags/<?php echo $key; ?>.svg" alt="" >
			</p>
			<p>
				<small><?php echo $val; ?></small>
			</p>
		  </div>
	  <?php endforeach; ?>

		</div>
	</div>

</article>
