<?php
/*
	Template Name: Front Prototype Privacy
*/
?>
<article class="article-content padding-top100">
	
	<div class="flex-content">
		<div class="row">
			<div class="large-12 columns">
				<h1 class="section-head page-head">Terms and conditions of use</h1>
				<p id="breadcrumbs">You are here: <span xmlns:v="http://rdf.data-vocabulary.org/#"><span typeof="v:Breadcrumb"><a href="" rel="v:url" property="v:title">Home</a> » <span class="breadcrumb_last">Terms and conditions of use</span></span></span></p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<p>
					© Copyright United Nations Office for Project Services
				</p>
				<p>
					The information in the various pages of this Web site (<a href="http://www.clmeplus.org">www.clmeplus.org</a>) is issued by the United Nations Office for Project Services (UNOPS) for general distribution. The information presented is protected under the Berne Convention for the Protection of Literature and Artistic works, under other international conventions and under national laws on copyright and neighbouring rights. Extracts of the information in the Web site may be reviewed, reproduced or translated for research or private study but not for sale or for use in conjunction with commercial purposes. Any use of information in the Web site should be accompanied by an acknowledgment of the source. Reproduction or translation of substantial portions of the Web site, or any use other than for educational or other non-commercial purposes, require explicit, prior authorization in writing. Applications and enquiries should be addressed to <a href="mailto:info@clmeplus.org"></a>.
				</p>

				<p>
					The designations employed and the presentation of the information in this Web site do not imply the expression of any opinion whatsoever on the part of UNOPS, the United Nations Development Programme (UNDP), the Global Environment Facility (GEF) nor the Members of the CLME+ Partnership concerning the legal status of any country, territory, city or area or of its authorities, or concerning the delimitation of its frontiers or boundaries.
				</p>

				<p>
					The mention of specific companies or of certain manufacturers' products does not imply that they are endorsed or recommended by the UNOPS in preference to others of a similar nature that are not mentioned.
				</p>
				<p>
					The UNOPS does not warrant that the information contained in the Web site is complete and correct and shall not be liable whatsoever for any damages incurred as a result of its use.
				</p>
				<p>
					<strong>The use of this Web site (www.clmeplus.org) constitutes agreement with the following terms and conditions:</strong>
				</p>

				<ol>
					<li>
						The UNOPS-run Project Coordination Unit of the UNDP/GEF CLME+ Project maintains this web site (the “Site”) as a courtesy to those who may choose to access the Site (“Users”). The information presented herein is for informative purposes only. UNOPS grants permission to Users to visit the Site and to download and copy the information, documents and materials (collectively, “Materials”) from the Site for the User’s personal, non-commercial use, without any implicit right to resell or redistribute them or to compile or create derivative works therefrom, subject to the terms and conditions outlined below, and also subject to more specific restrictions that may apply to specific Material within this Site.
					</li>
					<li>
						UNOPS administers this Site. All Material on this Site from UNOPS appears subject to the present Terms and Conditions.
					</li>
					<li>
						Unless expressly stated otherwise, the findings, interpretations and conclusions expressed in the Materials on this Site are those of the various UNOPS staff members, consultants and advisers to UNOPS who prepared the work and do not necessarily represent the views of UNOPS or its Member States.
					</li>
				</ol>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>Disclaimers</h2>
				<p>
					Materials provided on this Site (www.clmeplus.org) are provided “as is”, without warranty of any kind, either express or implied, including, without limitation, warranties of merchantability, fitness for a particular purpose and non-infringement. UNOPS specifically does not make any warranties or representations as to the accuracy or completeness of any such Materials. UNOPS periodically adds, changes, improves or updates the Materials on this Site without notice. Under no circumstances shall UNOPS be liable for any loss, damage, liability or expense incurred or suffered that is claimed to have resulted from the use of this Site, including, without limitation, any fault, error, omission, interruption or delay with respect thereto. The use of this Site is at the User’s sole risk. Under no circumstances, including but not limited to negligence, shall UNOPS, UNDP, the GEF, the CLME+ Partnership Members or their affiliates be liable for any direct, indirect, incidental, special or consequential damages, even if the UNOPS has been advised of the possibility of such damages.
				</p>
				<p>
					The User specifically acknowledges and agrees that UNOPS is not liable for any conduct of any User.
				</p>
				<p>
					This site may contain advice, opinions and statements of various information providers. UNOPS does not represent or endorse the accuracy or reliability of any advice, opinion, statement or other information provided by any information provider, any User of this Site or any other person or entity. Reliance upon any such advice, opinion, statement, or other information shall also be at the User’s own risk. Neither UNOPS nor its affiliates, nor any of their respective agents, employees, information providers or content providers, shall be liable to any User or anyone else for any inaccuracy, error, omission, interruption, deletion, defect, alteration of or use of any content herein, or for its timeliness or completeness, nor shall they be liable for any failure of performance, computer virus or communication line failure, regardless of cause, or for any damages resulting therefrom.
				</p>
				<p>
					As a condition of use of this Site, the User agrees to indemnify UNOPS and its affiliates from and against any and all actions, claims, losses, damages, liabilities and expenses (including reasonable attorneys’ fees) arising out of the User’s use of this Site, including, without limitation, any claims alleging facts that if true would constitute a breach by the User of these Terms and Conditions. If the User is dissatisfied with any Material on this Site or with any of its Terms and Conditions of Use, the User’s sole and exclusive remedy is to discontinue using the Site.
				</p>
				<p>
					This Site may contain links and references to third-party websites. The linked sites are not under the control of UNOPS, and UNOPS is not responsible for the content of any linked site or any link contained in a linked site. UNOPS provides these links only as a convenience, and the inclusion of a link or reference does not imply the endorsement of the linked site by UNOPS.
				</p>
				<p>
					If this Site contains bulletin boards, chat rooms, access to mailing lists or other message or communication facilities (collectively, “Forums”), the User agrees to use the Forums only to send and receive messages and materials that are proper and related to the particular Forum. By way of example and not as a limitation, the User agrees that when using a Forum, he or she shall not do any of the following:
				</p>

				<ul>
					<li>
						Defame, abuse, harass, stalk, threaten or otherwise violate the legal rights (such as rights of privacy and publicity) of others;
					</li>
					<li>
						Publish, post, distribute or disseminate any defamatory, infringing, obscene, indecent or unlawful material or information;
					</li>
					<li>
						Upload or attach files that contain software or other material protected by intellectual property laws (or by rights of privacy and publicity) unless the User owns or controls the rights thereto or has received all consents therefore as may be required by law;
					</li>
					<li>
						Upload or attach files that contain viruses, corrupted files or any other similar software or programs that may damage the operation of another’s computer;
					</li>
					<li>
						Delete any author attributions, legal notices or proprietary designations or labels in any file that is uploaded;
					</li>
					<li>
						Falsify the origin or source of software or other material contained in a file that is uploaded;
					</li>
					<li>
						Advertise or offer to sell any goods or services, or conduct or forward surveys, contests or chain letters, or download any file posted by another user of a Forum that the User knows, or reasonably should know, cannot be legally distributed in such manner.
					</li>
				</ul>
				<p>
					The User acknowledges that all Forums and discussion groups are public and not private communications. Further, the User acknowledges that chats, postings, conferences, e-mails and other communications by other Users are not endorsed by UNOPS, and that such communications shall not be considered to have been reviewed, screened or approved by UNOPS. UNOPS reserves the right to remove, for any reason and without notice, any content of the Forums received from Users, including, without limitation, email and bulletin board postings.
				</p>
				<p>
					The boundaries and names shown and the designations used on the maps on this site and on third-party websites linked in this site do not imply official endorsement or acceptance by UNOPS, UNDP or the GEF.
				</p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>Preservation of immunities</h2>
				<p>
					Nothing herein shall constitute or be considered to be a limitation upon or a waiver of the privileges and immunities of UNOPS, which are specifically reserved.
				</p>
			</div>
		</div>
	</div>

	<div class="flex-content padding-bottom50 padding-top50">
		<div class="row">
			<div class="large-12 columns">
				<h2>General</h2>
				<p>
					UNOPS reserves its exclusive right in its sole discretion to alter, limit or discontinue the Site or any Materials in any respect. UNOPS shall have no obligation to take the needs of any User into consideration in connection therewith.
				</p>
				<p>
					UNOPS reserves the right to deny in its sole discretion any user access to this Site or any portion thereof without notice.
				</p>
				<p>
					No waiver by UNOPS of any provision of these Terms and Conditions shall be binding except as set forth in writing and signed by its duly authorized representative.
				</p>
			</div>
		</div>
	</div>

</article>
