<?php
/**
 * Generowanie kalendarza
 */
class Calendar
{

    function __construct( $specjalizacja = '' ) {
        $this->specjalizacja = $specjalizacja;
    }

    /**
     * Wypisuje wszystkie specjalizacje
     * @return [type] [description]
     */
    public function list_specjalizacje() {
        $specjalizacje = get_terms( 'specjalizacja', [
            'hide_empty' => false,
        ] );

        $ret = '';
        if ( $specjalizacje ) {
            foreach ( $specjalizacje as $specjalizacja ) {
                $ret .= '<option value='.$specjalizacja->slug.'>'. $specjalizacja->name .'</option>';
            }
        }

        return $ret;
    }


    /**
     * Generuje tablice lekarzy z danej specjalizacji
     */
    public function list_lekarze() {
        $ret = '';

        $args = [
            'posts_per_page' => -1,
            'post_type' => 'lekarze',
        ];

        $lekarze = get_posts( $args );

        if ( $lekarze ) {
            foreach ( $lekarze as $lekarz ) {
                $godziny_przyjec = get_field( 'godziny_przyjec', $lekarz->ID );

                $specjalizacje_lekarza = get_the_terms( $lekarz, 'specjalizacja' );

                // Sprawdzam specjalizacje na bazie planu dnia
                if ( $godziny_przyjec ) {
                    foreach( $godziny_przyjec as $dzien ) {
                        $imie = get_field( 'tytul', $lekarz->ID ).' '.get_the_title( $lekarz->ID );
                        $specjalizacja = get_term_by( 'id', $dzien['specjalizacja'], 'specjalizacja' );
                        if ( $specjalizacja ) {
                            $ret[$specjalizacja->slug][$lekarz->ID] = [ 'imie' => $imie, 'id' => $lekarz->ID ];
                        }
                    }
                }

                // Sprawdzam specjalizacje na bazie tych przypissanych do lekarza
                if ( $specjalizacje_lekarza ) {
                    foreach( $specjalizacje_lekarza as $specjalizacja_lekarza ) {
                        $imie = get_field( 'tytul', $lekarz->ID ).' '.get_the_title( $lekarz->ID );
                        $ret[$specjalizacja_lekarza->slug][$lekarz->ID] = [ 'imie' => $imie, 'id' => $lekarz->ID ];
                    }
                }
            }
        }

        return json_encode( $ret );
    }

    /**
     * Generuje widok kalendarza na bazie wybranych danych
     */

    public function generate_calendar( $lekarz, $day, $specjalizacja ) {
        $args = [
            'post_type' => 'lekarze',
            'p' => $lekarz,
        ];

        $post = get_posts( $args )[0];

        $rozklad = self::days_helper( get_field( 'godziny_przyjec', $post->ID ) );

        //ilosc dni w gabinecie
        if( isset( $rozklad[$day] ) ) {
            foreach ( $rozklad[$day] as $dzien ) {
                if ( $dzien['specjalizacja'] == $specjalizacja ) {
                    $tpl_args['od'] = $dzien['od'];
                    $tpl_args['do'] = $dzien['do'];
                    $tpl_args['id'] = $post->ID;
                    $tpl_args['tytul'] = get_field( 'tytul', $post->ID );
                    $tpl_args['specjalizacja'] = get_field( 'specjalizacja', $post->ID );

                    set_query_var( 'tpl_args', $tpl_args );
                    get_template_part( 'templates/entry-grafik' );

                    $ilosc++;
                }
            }
        }
    }

    public function is_present( $id, $specjalizacja ) {
        $ret = false;

        $rozklad = self::days_helper( get_field( 'godziny_przyjec', $id) );
        foreach ( $rozklad as $dni ) {
            foreach ( $dni as $dzien ) {
                if ( $dzien['specjalizacja'] == $specjalizacja ) {
                    $ret = true;
                    break;
                }
            }
        }

        return $ret;
    }

    private function days_helper( $rozklad ) {
        $ret = '';
        if ( $rozklad ) {
            foreach ( $rozklad as $val ) {
                $dzien = $val['dzien_tygodnia'];
                $od = $val['od'];
                $do = $val['do'];
                $specjalizacja = get_term_by( 'id', $val['specjalizacja'], 'specjalizacja' )->slug;

                $ret[$dzien][] = [ 'od' => $od, 'do' => $do, 'specjalizacja' => $specjalizacja ];
            }
        }

        return $ret;
    }
}
