<?php

/**
 * Showing mosaic on home page
 *
 */
Class Mosaic {
  function __construct() {
    global $post;

    // ACF mosaic values
    $this->posts = get_field( 'home_mosaic', $post->ID );

    //column sizes - for specific screen size
    $this->sizes_large = self::get_column_widths();
    $this->sizes_medium = [12,12,12,12,12];

  }

  /**
   * Renders whole mosaic
   * @return [type] [description]
   */
  function render() {
    $i = 0;
    if ( $this->posts ) {
      foreach ( $this->posts as $entry ) {
        self::render_wrapper_open( $i );

        $tpl_args['entry'] = $entry;
        $tpl_args['img'] = wp_get_attachment_image_src( $entry['image'], 'mosaic' )[0];
        $tpl_args['size'] = 'small';

        $tpl_args['new_window'] = '';

        if( $entry['new_window'] ) {
          $tpl_args['new_window'] = 'target="about:blank"';
        }

        if( $entry['size_height'] == 2 ) {
          $tpl_args['size'] = 'large';
        }

        set_query_var( 'tpl_args', $tpl_args );
        get_template_part( 'templates/mosaic/entry' );

        self::render_wrapper_close( $i );
        wp_reset_query();
        $i++;
      }
    }
  }

  /**
   * Gets columns widths
   */
  private function get_column_widths(  ) {
    if ( $this->posts ) {
      foreach ( $this->posts as $entry ) {
        $ret[] = $entry['size_width'];
      }

      return $ret;
    } else {
      return false;
    }
  }

  /**
   * Helper - showing mosaic opening wrapper
   *
   */
  private function render_wrapper_open( $i ) {
    echo '<div class="large-'.$this->sizes_large[$i].' medium-12 small-12 columns wow fadeIn" data-wow-delay="0.3s">';
  }

  /**
   * Helper - showing mosaic closing wrapper
   *
   */
  private function render_wrapper_close( $i ) {
    echo '</div>';
  }
}
